rte_graph_model_mcore_dispatch.h(3)

NAME
rte_graph_model_mcore_dispatch.h

SYNOPSIS

#include <rte_errno.h>
#include <rte_mempool.h>
#include <rte_memzone.h>
#include <rte_ring.h>
#include 'rte_graph_worker_common.h'

  Functions

int rte_graph_model_mcore_dispatch_node_lcore_affinity_set (const char *name, unsigned int lcore_id)
static void rte_graph_walk_mcore_dispatch (struct rte_graph *graph)

Detailed Description

These APIs allow to set core affinity with the node and only used for mcore dispatch model.

Definition in file rte_graph_model_mcore_dispatch.h.

Function Documentation

  int rte_graph_model_mcore_dispatch_node_lcore_affinity_set (const char * name, unsigned int lcore_id)
Set lcore affinity with the node used for mcore dispatch model.

Parameters
    name Valid node name. In the case of the cloned node, the name will be "parent node name" + "-" + name.
    lcore_id The lcore ID value.

Returns
    0 on success, error otherwise.

  void rte_graph_walk_mcore_dispatch (struct rte_graph * graph) [inline], [static]
Perform graph walk on the circular buffer and invoke the process function of the nodes and collect the stats.

Parameters
    graph Graph pointer returned from rte_graph_lookup function.

See also
    rte_graph_lookup()

Definition at line 89 of file rte_graph_model_mcore_dispatch.h.

Author

Generated automatically by Doxygen for DPDK from the source code.